#! /bin/sh
#-----------------------------------------------------------------
#Shell script to add local information to configuration file
#-----------------------------------------------------------------
base=$1
. `dirname $0`/version.sh
. `dirname $0`/getlocal.sh `dnsdomainname`

#-----------------------------------------------------------------
#updating clement.conf with local informations
#-----------------------------------------------------------------
chmod 640 $base/etc/$APPNAME-$VERS/$APPNAME.conf
if [ `id -u` = 0 ]; then        #standard service install
  chown $APPNAME.apache $base/etc/$APPNAME-$VERS/$APPNAME.conf
  fi
cat >> $base/etc/$APPNAME-$VERS/$APPNAME.conf <<!EOT
#Clement admin access email
ADMIN=root@$domain
#--------------------------------
#Mentor access acces code
DFLTCODE=$hostip-`date +%s%N`-$domain
#--------------------------------
CHKIDMOD=POP,localhost,110
CHKIDSRV=127.0.0.25,411,1
#--------------------------------
#Local transponder set on port 3999
RMPONDER=127.0.0.25,3999
#--------------------------------
#Relayed IP lists
RELAY=/etc/$APPNAME-$VERS/alwaysrelay:/etc/$APPNAME-$VERS/poprelay
#--------------------------------
#Expecting spamassasin running localy and binded to port 783
SPMDSRV=localhost,783
#binding 3 listening process on eth IP number
#one redirect rule must be added to your iptables to redirect
#all external SMTP request to your Clement port (set by default to 25)
BINDING=$hostip,25,3
#local current SMPT daemon is used checker and sender to dispatch
#E-mail to end-user.
DOMAIN=$domain
#Mentor connection not defined yet
#CHECKER=mentor2.safe.ca,4000
SENDER=KeepLocal
#--------------------------------
!EOT
#---------------------------------------------------------------------
#Updating Iptable
cat >> $base/etc/$APPNAME-$VERS/iptables.conf <<!EOT
#this interface can be reactivated
#IPT=$interface,$hostip,25,2525
!EOT
#---------------------------------------------------------------------
#Updating httpd configuration
cat >> $base/etc/httpd/conf/clement.conf <<!EOT
#$APPNAME START
#Done by the Clement first start
<VirtualHost $hostip>
        ServerName clement.$domain
        ServerAdmin root@$domain
	DirectoryIndex index.php
        DocumentRoot /usr/share/$APPNAME-$VERS/
	setenv clemconf $base/etc/$APPNAME-$VERS/$APPNAME.php
        <Directory /usr/share/$APPNAME-$VERS>
                Options MultiViews FollowSymlinks
                AllowOverride AuthConfig FileInfo Indexes Limit Options
                Order allow,deny
                Allow from .$domain
                Allow from .safe.ca
        </Directory>
        Alias  /base-dir/  /usr/share/$APPNAME-$VERS/ 
        Alias /reg-icons/ /usr/share/$APPNAME-$VERS/reg-icons/
        ErrorLog logs/clemerr.log
        TransferLog logs/clemlog.log
</VirtualHost>
#$APPNAME STOP
!EOT
cat >> $base/etc/httpd/conf/httpd.conf <<!EOT
#$APPNAME START
include	$base/etc/httpd/conf/$APPNAME.conf
#$APPNAME STOP
!EOT
#--------------------------------------------------------------------
#Updating clembase configuration
cat >> $base/etc/$APPNAME-$VERS/clement.php <<!EOT
<?php
\$base="$base";
\$langbase="eng";
\$clemver="$APPNAME-$VERS";
\$mentorweb="mentor2.safe.ca";
putenv("base=\$base");
putenv("clemver=\$clemver");
putenv("langbase=\$langbase");
putenv("mentorweb=\$mentorweb");
?>
!EOT
#--------------------------------------------------------------------
#managing clement system file.
mkdir -p $base/var/spool/$APPNAME-$VERS/mails/$domain
(
echo "postmaster:$rootpass:500:500:$domain Postmaster::"
)  > $base/var/spool/$APPNAME-$VERS/mails/$domain/.passwd
(
echo "postmaster@$domain:$rootpass:10:100"
)>>  $base/var/spool/$APPNAME-$VERS/mails/.admin
(
echo "$domain:postmaster@$domain::English:100"
) >> $base/var/spool/$APPNAME-$VERS/mails/.domain
chmod 640 $base/var/spool/$APPNAME-$VERS/mails/.[a-z]*
if [ `id -g` = 0 ]; then        #standard service install
  chown $APPNAME.apache $base/var/spool/$APPNAME-$VERS/mails/.[a-z]*
  fi
#--------------------------------------------------------------------
